org.springframework.data.repository.query

## Class DefaultParameters

- java.lang.Object
- - org.springframework.data.repository.query.Parameters<DefaultParameters,Parameter>
  - - org.springframework.data.repository.query.DefaultParameters

All Implemented Interfaces:
  Iterable<Parameter>, Supplier<Stream<Parameter>>, Streamable<Parameter>

    public final class DefaultParameters
    extends Parameters<DefaultParameters,Parameter>

Default implementation of `Parameters`.

Author:
  Oliver Gierke

### Field Summary

### Fields inherited from class org.springframework.data.repository.query.Parameters

`TYPES`

### Constructor Summary

Constructors
Constructor and Description
`DefaultParameters(Method method)` Creates a new `DefaultParameters` instance from the given `Method`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected DefaultParameters` `createFrom(List<Parameter> parameters)`
`protected Parameter` `createParameter(MethodParameter parameter)` Creates a `Parameter` instance for the given `MethodParameter`.

### Methods inherited from class org.springframework.data.repository.query.Parameters

`getBindableParameter, getBindableParameters, getDynamicProjectionIndex, getNumberOfParameters, getPageableIndex, getParameter, getSortIndex, hasDynamicProjection, hasPageableParameter, hasParameterAt, hasSortParameter, hasSpecialParameter, isBindable, iterator, potentiallySortsDynamically`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.util.Streamable

`and, and, and, and, empty, filter, flatMap, get, isEmpty, map, of, of, of, stream, toList, toSet, toStreamable, toStreamable`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DefaultParameters

    public DefaultParameters(Method method)

Creates a new `DefaultParameters` instance from the given `Method`.

Parameters:
  `method` - must not be null.

### Method Detail

#### createParameter

    protected Parameter createParameter(MethodParameter parameter)

Description copied from class: `Parameters`
Creates a `Parameter` instance for the given `MethodParameter`.

Specified by:
  `createParameter` in class `Parameters<DefaultParameters,Parameter>`
Parameters:
  `parameter` - will never be null.
Returns:

#### createFrom

    protected DefaultParameters createFrom(List<Parameter> parameters)

Specified by:
  `createFrom` in class `Parameters<DefaultParameters,Parameter>`